ADM(1)

NAME
adm -

DESCRIPTION

Use the Application Dependency Management CLI to create knowledge bases and vulnerability audits. For more information, see ADM <https://docs.cloud.oracle.com/Content/application-dependency-management/home.htm>.

AVAILABLE COMMANDS

•   knowledge-base

•   change-compartment

•   create

•   delete

•   get

•   list

•   update

•   remediation-recipe

•   activate

•   change-compartment

•   create

•   deactivate

•   delete

•   get

•   list

•   update

•   remediation-run

•   cancel

•   change-compartment

•   create

•   delete

•   get

•   list

•   list-application-dependency-recommendations

•   update

•   remediation-run-stage

•   get-stage

•   list-stages

•   vulnerability-audit

•   change-compartment

•   create

•   create-vulnerability-audit-external-resource-vulnerability-audit-source

•   create-vulnerability-audit-oci-resource-vulnerability-audit-source

•   create-vulnerability-audit-unknown-source-vulnerability-audit-source

•   delete

•   get

•   list

•   list-application-dependency-vulnerabilities

•   update

•   work-request

•   cancel

•   get

•   list

•   work-request-error

•   list

•   work-request-log-entry

•   list-work-request-logs

  knowledge-base

  Description

A knowledge base is a component of Application Dependency Management (ADM) service that provides access to vulnerabilities.

  Available Commands

•   change-compartment

•   create

•   delete

•   get

•   list

•   update

  change-compartment

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Moves a Knowledge Base from one compartment to another.

  Usage

oci adm knowledge-base change-compartment [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The compartment Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) to which the resource must be moved.

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Knowledge Base, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm knowledge-base change-compartment --compartment-id $compartment_id --knowledge-base-id $knowledge_base_id

  create

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Knowledge Base.

  Usage

oci adm knowledge-base create [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The compartment Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the knowledge base.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    oci adm knowledge-base create --compartment-id $compartment_id

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes the specified Knowledge Base.

  Usage

oci adm knowledge-base delete [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Knowledge Base, as a URL path parameter.

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm knowledge-base delete --knowledge-base-id $knowledge_base_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the details of the specified Knowledge Base.

  Usage

oci adm knowledge-base get [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Knowledge Base, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm knowledge-base get --knowledge-base-id $knowledge_base_id

  list

•   Description

•   Usage

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of KnowledgeBases based on the specified query parameters. At least id or compartmentId query parameter must be provided.

  Usage

oci adm knowledge-base list [OPTIONS]

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    A filter to return only resources that belong to the specified compartment identifier. Required only if the id query param is not specified.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    A filter to return only resources that match the specified identifier. Required only if the compartmentId query parameter is not specified.

--lifecycle-state [text]

    A filter to return only Knowledge Bases that match the specified lifecycleState.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, UPDATING

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort Knowledge Bases. Only one sort order is allowed. Default order for _displayName_ is ascending alphabetical order. Default order for _lifecyleState_ is the following sequence: CREATING, ACTIVE, UPDATING, FAILED, DELETING, and DELETED.Default order for _timeCreated_ is descending. Default order for _timeUpdated_ is descending.

    Accepted values are:

    DISPLAY_NAME, LIFECYCLE_STATE, TIME_CREATED, TIME_UPDATED

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    oci adm knowledge-base list

  update

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Updates one or more attributes of the specified Knowledge Base.

  Usage

oci adm knowledge-base update [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Knowledge Base, as a URL path parameter.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the knowledge base.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm knowledge-base update --knowledge-base-id $knowledge_base_id

  remediation-recipe

  Description

An Application Dependency Management (ADM) remediation recipe contains the basic configuration and the details of each of the remediation stages (Detect, Recommend, Verify, and Apply).

  Available Commands

•   activate

•   change-compartment

•   create

•   deactivate

•   delete

•   get

•   list

•   update

  activate

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Activates the specified Remediation Recipe.

  Usage

oci adm remediation-recipe activate [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe activate --remediation-recipe-id $remediation_recipe_id

  change-compartment

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Moves a Remediation Recipe from one compartment to another.

  Usage

oci adm remediation-recipe change-compartment [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The compartment Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) to which the resource must be moved.

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe change-compartment --compartment-id $compartment_id --remediation-recipe-id $remediation_recipe_id

  create

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Remediation Recipe.

  Usage

oci adm remediation-recipe create [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The compartment Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the remediation recipe.

--detect-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--is-run-triggered-on-kb-change [boolean]

    Boolean indicating if a run should be automatically triggered once the knowledge base is updated.

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

--network-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--scm-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--verify-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the remediation recipe.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json

  deactivate

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deactivates the specified Remediation Recipe.

  Usage

oci adm remediation-recipe deactivate [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe deactivate --remediation-recipe-id $remediation_recipe_id

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes the specified Remediation Recipe.

  Usage

oci adm remediation-recipe delete [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe delete --remediation-recipe-id $remediation_recipe_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the details of the specified RemediationRecipe.

  Usage

oci adm remediation-recipe get [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe get --remediation-recipe-id $remediation_recipe_id

  list

•   Description

•   Usage

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of Remediation Recipes based on the specified query parameters. The query parameters compartmentId or id must be provided.

  Usage

oci adm remediation-recipe list [OPTIONS]

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    A filter to return only resources that belong to the specified compartment identifier. Required only if the id query param is not specified.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    A filter to return only resources that match the specified identifier. Required only if the compartmentId query parameter is not specified.

--lifecycle-state [text]

    A filter to return only Remediation Recipes that match the specified lifecycleState.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, INACTIVE, NEEDS_ATTENTION, UPDATING

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort Remediation Recipes. Only one sort order is allowed. Default order for _displayName_ is ascending alphabetical order. Default order for _lifecyleState_ is the following sequence: CREATING, ACTIVE, UPDATING, INACTIVE, FAILED, DELETING, and DELETED. Default order for _timeCreated_ is descending. Default order for _timeUpdated_ is descending. Default order for _type_ is the following sequence: ADM.

    Accepted values are:

    DISPLAY_NAME, LIFECYCLE_STATE, TIME_CREATED, TIME_UPDATED, TYPE

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    oci adm remediation-recipe list

  update

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Updates one or more attributes of the specified Remediation Recipe.

  Usage

oci adm remediation-recipe update [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of a Remediation Recipe, as a URL path parameter.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--detect-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the remediation recipe.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--is-run-triggered-on-kb-change [boolean]

    Boolean indicating if a run should be automatically triggered once the knowledge base is updated.

--knowledge-base-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--network-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--scm-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--verify-configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-recipe update --remediation-recipe-id $remediation_recipe_id

  remediation-run

  Description

A remediation run represents an execution of a Remediation Recipe to detect and fix vulnerabilities based on current state of the Vulnerabilities curated in the Knowledge Base. A Run can be triggered manually or when a new CVE is discovered.

  Available Commands

•   cancel

•   change-compartment

•   create

•   delete

•   get

•   list

•   list-application-dependency-recommendations

•   update

  cancel

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Cancels the specified remediation run.

  Usage

oci adm remediation-run cancel [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, DELETED, DELETING, FAILED, IN_PROGRESS, SUCCEEDED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run cancel --remediation-run-id $remediation_run_id

  change-compartment

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Moves a remediation run from one compartment to another.

  Usage

oci adm remediation-run change-compartment [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The compartment Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) to which the resource must be moved.

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run change-compartment --compartment-id $compartment_id --remediation-run-id $remediation_run_id

  create

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new remediation run.

  Usage

oci adm remediation-run create [OPTIONS]

  Required Parameters

--remediation-recipe-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the Remediation Recipe.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the remediation run.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, DELETED, DELETING, FAILED, IN_PROGRESS, SUCCEEDED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes the specified remediation run.

  Usage

oci adm remediation-run delete [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, DELETED, DELETING, FAILED, IN_PROGRESS, SUCCEEDED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run delete --remediation-run-id $remediation_run_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the details of the specified remediation run.

  Usage

oci adm remediation-run get [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run get --remediation-run-id $remediation_run_id

  list

•   Description

•   Usage

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of remediation runs contained by a compartment. The query parameter compartmentId is required unless the query parameter id is specified.

  Usage

oci adm remediation-run list [OPTIONS]

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    A filter to return only resources that belong to the specified compartment identifier. Required only if the id query param is not specified.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    A filter to return only resources that match the specified identifier. Required only if the compartmentId query parameter is not specified.

--lifecycle-state [text]

    A filter to return only Remediation Runs that match the specified lifecycleState.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, DELETED, DELETING, FAILED, IN_PROGRESS, SUCCEEDED

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--remediation-recipe-id [text]

    A filter to return only resources that match the specified Remediation Recipe identifier.

--sort-by [text]

    The field used to sort Remediation Runs. Only one sort order is allowed. Default order for _timeCreated_ is descending. Default order for _timeFinished_ is descending. Default order for _timeStarted_ is descending. Default order for _displayName_ is ascending alphabetical order. Default order for _lifecycleState_ is the following sequence: CREATING, ACTIVE, UPDATING, DELETING, DELETED, and FAILED. Default order for currentStageType is the following sequence: DETECT, RECOMMEND, VERIFY, and APPLY.

    Accepted values are:

    currentStageType, displayName, lifecycleState, timeCreated, timeFinished, timeStarted

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    oci adm remediation-run list

  list-application-dependency-recommendations

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of application dependency with their associated recommendations.

  Usage

oci adm remediation-run list-application-dependency-recommendations [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--gav [text]

    A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--purl [text]

    A filter to return only resources that match the entire PURL given (https://github.com/package-url/purl-spec/).

--sort-by [text]

    The field to sort by. Only one sort order may be provided. If sort order is dfs, the nodes are returned by going through the application dependency tree in a depth-first manner. Children are sorted based on their GAV property alphabetically (either ascending or descending, depending on the order parameter). Default order is ascending. If sort order is bfs, the nodes are returned by going through the application dependency tree in a breadth-first manner. Children are sorted based on their GAV property alphabetically (either ascending or descending, depending on the order parameter). Default order is ascending. Default order for gav is ascending where ascending corresponds to alphanumerical order. Default order for purl is ascending where ascending corresponds to alphabetical order Default order for nodeId is ascending where ascending corresponds to alphanumerical order. Sorting by DFS or BFS cannot be used in conjunction with the following query parameters: “gav”, “cvssV2GreaterThanOrEqual”, “cvssV3GreaterThanOrEqual” and “vulnerabilityId”.

    Accepted values are:

    bfs, dfs, gav, nodeId, purl

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run list-application-dependency-recommendations --remediation-run-id $remediation_run_id

  update

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Updates by identifier one or more attributes of the specified remediation run.

  Usage

oci adm remediation-run update [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the remediation run.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, DELETED, DELETING, FAILED, IN_PROGRESS, SUCCEEDED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run update --remediation-run-id $remediation_run_id

  remediation-run-stage

  Description

A remediation run stage is one step of an remediation run. Each stage provides output logs and has a specific type. The stages are: DETECT, RECOMMEND, VERIFY, and APPLY.

  Available Commands

•   get-stage

•   list-stages

  get-stage

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the details of the specified Remediation Run Stage.

  Usage

oci adm remediation-run-stage get-stage [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

--stage-type [text]

    The type of Remediation Run Stage, as a URL path parameter.

    Accepted values are:

    APPLY, DETECT, RECOMMEND, VERIFY

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    export stage_type=<substitute-value-of-stage_type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-run-stage/get-stage.html#cmdoption-stage-type
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run-stage get-stage --remediation-run-id $remediation_run_id --stage-type $stage_type

  list-stages

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of Remediation Run Stages based on the specified query parameters and Remediation Run identifier.

  Usage

oci adm remediation-run-stage list-stages [OPTIONS]

  Required Parameters

--remediation-run-id [text]

    Unique Remediation Run identifier path parameter.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort Stages. Only one sort order is allowed. Default order for status is the following sequence: CREATED, IN_PROGRESS, SUCCEEDED, FAILED, CANCELING, and CANCELED. Default order for _timeCreated_ is descending. Default order for _timeFinished_ is descending. Default order for _timeStarted_ is descending. Default order for _type_ is the following sequence: DETECT, RECOMMEND, VERIFY, and APPLY.

    Accepted values are:

    status, timeCreated, timeFinished, timeStarted, type

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

--status [text]

    A filter to return only Stages that match the specified status.

    Accepted values are:

    CANCELED, CANCELING, CREATED, FAILED, IN_PROGRESS, SUCCEEDED

--type [text]

    A filter to return only Stages that match the specified type.

    Accepted values are:

    APPLY, DETECT, RECOMMEND, VERIFY

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci adm remediation-recipe create --generate-param-json-input detect-configuration > detect-configuration.json
    oci adm remediation-recipe create --generate-param-json-input network-configuration > network-configuration.json
    oci adm remediation-recipe create --generate-param-json-input scm-configuration > scm-configuration.json
    oci adm remediation-recipe create --generate-param-json-input verify-configuration > verify-configuration.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export is_run_triggered_on_kb_change=<substitute-value-of-is_run_triggered_on_kb_change> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/remediation-recipe/create.html#cmdoption-is-run-triggered-on-kb-change
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    remediation_recipe_id=$(oci adm remediation-recipe create --compartment-id $compartment_id --detect-configuration file://detect-configuration.json --is-run-triggered-on-kb-change $is_run_triggered_on_kb_change --knowledge-base-id $knowledge_base_id --network-configuration file://network-configuration.json --scm-configuration file://scm-configuration.json --verify-configuration file://verify-configuration.json --query data.id --raw-output)
    remediation_run_id=$(oci adm remediation-run create --remediation-recipe-id $remediation_recipe_id --query data.id --raw-output)
    oci adm remediation-run-stage list-stages --remediation-run-id $remediation_run_id

  vulnerability-audit

  Description

A vulnerability audit associates the application dependencies of a project with their associated Vulnerabilities. Each Vulnerability is associated with a score (Common Vulnerability Scoring System V2 or V3). A vulnerable application dependency can be ignored based on the configuration of the vulnerability audit. maxObservedCvssV2Score, maxObservedCvssV3Score and vulnerableArtifactsCount do not take into account non-vulnerable application dependency.

  Available Commands

•   change-compartment

•   create

•   create-vulnerability-audit-external-resource-vulnerability-audit-source

•   create-vulnerability-audit-oci-resource-vulnerability-audit-source

•   create-vulnerability-audit-unknown-source-vulnerability-audit-source

•   delete

•   get

•   list

•   list-application-dependency-vulnerabilities

•   update

  change-compartment

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Moves a Vulnerability Audit from one compartment to another.

  Usage

oci adm vulnerability-audit change-compartment [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the compartment to which the resource must be moved.

--vulnerability-audit-id [text]

    Unique Vulnerability Audit identifier path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    vulnerability_audit_id=$(oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id --query data.id --raw-output)
    oci adm vulnerability-audit change-compartment --compartment-id $compartment_id --vulnerability-audit-id $vulnerability_audit_id

  create

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Vulnerability Audit by providing a tree of Application Dependencies.

  Usage

oci adm vulnerability-audit create [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

  Optional Parameters

--application-dependencies [complex type]

    List of application dependencies (without vulnerabilities).

    This option is a JSON list with items of type ApplicationDependency. For documentation on ApplicationDependency please see our API reference: https://docs.cloud.oracle.com/api/#/en/applicationdependencymanagement/20220421/datatypes/ApplicationDependency. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--build-type [text]

    The type of the build tool is restricted to only two values MAVEN or UNSET. Use UNSET when the list of application dependencies is not Maven-related or is a mix of Maven and other ecosystems. This option is soon to be deprecated.

--compartment-id, -c [text]

    The compartment Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the vulnerability audit. If compartment identifier is not provided the compartment of the associated knowledge base will be used instead.

--configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the vulnerability audit.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--source [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--usage-data [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state ACTIVE --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id

  create-vulnerability-audit-external-resource-vulnerability-audit-source

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Vulnerability Audit by providing a tree of Application Dependencies.

  Usage

oci adm vulnerability-audit create-vulnerability-audit-external-resource-vulnerability-audit-source [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

  Optional Parameters

--application-dependencies [complex type]

    List of application dependencies (without vulnerabilities).

    This option is a JSON list with items of type ApplicationDependency. For documentation on ApplicationDependency please see our API reference: https://docs.cloud.oracle.com/api/#/en/applicationdependencymanagement/20220421/datatypes/ApplicationDependency. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--build-type [text]

    The type of the build tool is restricted to only two values MAVEN or UNSET. Use UNSET when the list of application dependencies is not Maven-related or is a mix of Maven and other ecosystems. This option is soon to be deprecated.

--compartment-id, -c [text]

    The compartment Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the vulnerability audit. If compartment identifier is not provided the compartment of the associated knowledge base will be used instead.

--configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the vulnerability audit.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--source-description [text]

    Description of the external resource source.

--usage-data [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state ACTIVE --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm vulnerability-audit create-vulnerability-audit-external-resource-vulnerability-audit-source --knowledge-base-id $knowledge_base_id

  create-vulnerability-audit-oci-resource-vulnerability-audit-source

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Vulnerability Audit by providing a tree of Application Dependencies.

  Usage

oci adm vulnerability-audit create-vulnerability-audit-oci-resource-vulnerability-audit-source [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

--source-oci-resource-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the OCI resource that triggered the vulnerability audit.

  Optional Parameters

--application-dependencies [complex type]

    List of application dependencies (without vulnerabilities).

    This option is a JSON list with items of type ApplicationDependency. For documentation on ApplicationDependency please see our API reference: https://docs.cloud.oracle.com/api/#/en/applicationdependencymanagement/20220421/datatypes/ApplicationDependency. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--build-type [text]

    The type of the build tool is restricted to only two values MAVEN or UNSET. Use UNSET when the list of application dependencies is not Maven-related or is a mix of Maven and other ecosystems. This option is soon to be deprecated.

--compartment-id, -c [text]

    The compartment Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the vulnerability audit. If compartment identifier is not provided the compartment of the associated knowledge base will be used instead.

--configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the vulnerability audit.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--usage-data [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state ACTIVE --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    export source_oci_resource_id=<substitute-value-of-source_oci_resource_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/vulnerability-audit/create-vulnerability-audit-oci-resource-vulnerability-audit-source.html#cmdoption-source-oci-resource-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm vulnerability-audit create-vulnerability-audit-oci-resource-vulnerability-audit-source --knowledge-base-id $knowledge_base_id --source-oci-resource-id $source_oci_resource_id

  create-vulnerability-audit-unknown-source-vulnerability-audit-source

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Vulnerability Audit by providing a tree of Application Dependencies.

  Usage

oci adm vulnerability-audit create-vulnerability-audit-unknown-source-vulnerability-audit-source [OPTIONS]

  Required Parameters

--knowledge-base-id [text]

    The Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the knowledge base.

  Optional Parameters

--application-dependencies [complex type]

    List of application dependencies (without vulnerabilities).

    This option is a JSON list with items of type ApplicationDependency. For documentation on ApplicationDependency please see our API reference: https://docs.cloud.oracle.com/api/#/en/applicationdependencymanagement/20220421/datatypes/ApplicationDependency. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--build-type [text]

    The type of the build tool is restricted to only two values MAVEN or UNSET. Use UNSET when the list of application dependencies is not Maven-related or is a mix of Maven and other ecosystems. This option is soon to be deprecated.

--compartment-id, -c [text]

    The compartment Oracle Cloud identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the vulnerability audit. If compartment identifier is not provided the compartment of the associated knowledge base will be used instead.

--configuration [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the vulnerability audit.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--usage-data [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state ACTIVE --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    oci adm vulnerability-audit create-vulnerability-audit-unknown-source-vulnerability-audit-source --knowledge-base-id $knowledge_base_id

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes the specified Vulnerability Audit.

  Usage

oci adm vulnerability-audit delete [OPTIONS]

  Required Parameters

--vulnerability-audit-id [text]

    Unique Vulnerability Audit identifier path parameter.

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    vulnerability_audit_id=$(oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id --query data.id --raw-output)
    oci adm vulnerability-audit delete --vulnerability-audit-id $vulnerability_audit_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the details of the specified Vulnerability Audit.

  Usage

oci adm vulnerability-audit get [OPTIONS]

  Required Parameters

--vulnerability-audit-id [text]

    Unique Vulnerability Audit identifier path parameter.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    vulnerability_audit_id=$(oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id --query data.id --raw-output)
    oci adm vulnerability-audit get --vulnerability-audit-id $vulnerability_audit_id

  list

•   Description

•   Usage

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of Vulnerability Audits based on the specified query parameters. At least one of id, compartmentId query parameter must be provided.

  Usage

oci adm vulnerability-audit list [OPTIONS]

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    A filter to return only resources that belong to the specified compartment identifier. Required only if the id query param is not specified.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    A filter to return only resources that match the specified identifier. Required only if the compartmentId query parameter is not specified.

--is-success [boolean]

    A filter to return only successful or failed Vulnerability Audits.

--knowledge-base-id [text]

    A filter to return only Vulnerability Audits that were created against the specified knowledge base.

--lifecycle-state [text]

    A filter to return only Vulnerability Audits that match the specified lifecycleState.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--limit [integer]

    The maximum number of items to return.

--max-observed-severity-greater-than-or-equal-to [text]

    A filter that returns only Vulnerability Audits that have a maximum observed Severity greater than or equal to the specified value.

    Accepted values are:

    CRITICAL, HIGH, LOW, MEDIUM, NONE

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort Vulnerability Audits. Only one sort order is allowed. Default order for _maxObservedCvssV2Score_ is ascending. Default order for _maxObservedCvssV3Score_ is ascending. Default order for _maxObservedCvssV2ScoreWithIgnored_ is ascending. Default order for _maxObservedCvssV3ScoreWithIgnored_ is ascending. Default order for _timeCreated_ is descending. Default order for _vulnerableArtifactsCount_ is ascending. Default order for _vulnerableArtifactsCountWithIgnored_ is ascending. Default order for _maxObservedSeverity_ is ascending. Default order for _maxObservedSeverityWithIgnored_ is ascending. Default order for _displayName_ is ascending.

    Accepted values are:

    displayName, maxObservedCvssV2Score, maxObservedCvssV2ScoreWithIgnored, maxObservedCvssV3Score, maxObservedCvssV3ScoreWithIgnored, maxObservedSeverity, maxObservedSeverityWithIgnored, timeCreated, vulnerableArtifactsCount, vulnerableArtifactsCountWithIgnored

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

--time-created-greater-than-or-equal-to [datetime]

    A filter to return only Vulnerability Audits with timeCreated greater or equal to the specified value. The following datetime formats are supported:

  UTC with microseconds

Format: YYYY-MM-DDTHH:mm:ss.ssssssTZD
Example: 2017-09-15T20:30:00.123456Z
UTC with milliseconds
***********************
.. code::
    Format: YYYY-MM-DDTHH:mm:ss.sssTZD
    Example: 2017-09-15T20:30:00.123Z
UTC without milliseconds
**************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T20:30:00Z
UTC with minute precision
**************************
.. code::
    Format: YYYY-MM-DDTHH:mmTZD
    Example: 2017-09-15T20:30Z

  Timezone with microseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00.456789-08:00, 2017-09-15T12:30:00.456789-0800
Timezone with milliseconds
***************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T12:30:00.456-08:00, 2017-09-15T12:30:00.456-0800
Timezone without milliseconds
*******************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T12:30:00-08:00, 2017-09-15T12:30:00-0800
Timezone with minute precision
*******************************
.. code::
    Format: YYYY-MM-DDTHH:mmTZD
    Example: 2017-09-15T12:30-08:00, 2017-09-15T12:30-0800
Short date and time
********************
The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)
.. code::
    Format: 'YYYY-MM-DD HH:mm' or "YYYY-MM-DD HH:mm"
    Example: '2017-09-15 17:25'
Date Only
**********
This date will be taken as midnight UTC of that day
.. code::
    Format: YYYY-MM-DD
    Example: 2017-09-15
Epoch seconds
**************
.. code::
    Example: 1412195400

--time-created-less-than-or-equal-to [datetime]

    A filter to return only Vulnerability Audits with timeCreated less or equal to the specified value. The following datetime formats are supported:

  UTC with microseconds

Format: YYYY-MM-DDTHH:mm:ss.ssssssTZD
Example: 2017-09-15T20:30:00.123456Z
UTC with milliseconds
***********************
.. code::
    Format: YYYY-MM-DDTHH:mm:ss.sssTZD
    Example: 2017-09-15T20:30:00.123Z
UTC without milliseconds
**************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T20:30:00Z
UTC with minute precision
**************************
.. code::
    Format: YYYY-MM-DDTHH:mmTZD
    Example: 2017-09-15T20:30Z

  Timezone with microseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00.456789-08:00, 2017-09-15T12:30:00.456789-0800
Timezone with milliseconds
***************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T12:30:00.456-08:00, 2017-09-15T12:30:00.456-0800
Timezone without milliseconds
*******************************
.. code::
    Format: YYYY-MM-DDTHH:mm:ssTZD
    Example: 2017-09-15T12:30:00-08:00, 2017-09-15T12:30:00-0800
Timezone with minute precision
*******************************
.. code::
    Format: YYYY-MM-DDTHH:mmTZD
    Example: 2017-09-15T12:30-08:00, 2017-09-15T12:30-0800
Short date and time
********************
The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)
.. code::
    Format: 'YYYY-MM-DD HH:mm' or "YYYY-MM-DD HH:mm"
    Example: '2017-09-15 17:25'
Date Only
**********
This date will be taken as midnight UTC of that day
.. code::
    Format: YYYY-MM-DD
    Example: 2017-09-15
Epoch seconds
**************
.. code::
    Example: 1412195400

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    oci adm vulnerability-audit list

  list-application-dependency-vulnerabilities

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of Application Dependencies with their associated vulnerabilities.

  Usage

oci adm vulnerability-audit list-application-dependency-vulnerabilities [OPTIONS]

  Required Parameters

--vulnerability-audit-id [text]

    Unique Vulnerability Audit identifier path parameter.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--cvss-v2-greater-than-or-equal [float]

    A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 2 (CVSS V2) greater than or equal to the specified value.

--cvss-v3-greater-than-or-equal [float]

    A filter that returns only Vulnerabilities that have a Common Vulnerability Scoring System Version 3 (CVSS V3) greater than or equal to the specified value.

--depth [integer]

    A filter to limit depth of the application dependencies tree traversal. Additionally query parameters such as “cvssV2GreaterThanOrEqual”, “cvssV3GreaterThanOrEqual”, “gav” and “vulnerabilityId” can’t be used in conjunction with this latter.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--gav [text]

    A filter to return only resources that match the entire GAV (Group Artifact Version) identifier given.

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--purl [text]

    A filter to return only resources that match the entire PURL given (https://github.com/package-url/purl-spec/).

--root-node-id [text]

    A filter to override the top level root identifier with the new given value. The application dependency tree will only be traversed from the given node. Query parameters “cvssV2GreaterThanOrEqual”, “cvssV3GreaterThanOrEqual”, “gav” and “vulnerabilityId” cannot be used in conjunction with this parameter.

--severity-greater-than-or-equal [text]

    A filter that returns only Vulnerabilities that have a severity greater than or equal to the specified value.

    Accepted values are:

    CRITICAL, HIGH, LOW, MEDIUM, NONE

--sort-by [text]

    The field to sort by. Only one sort order may be provided. If sort order is dfs, the nodes are returned by going through the application dependency tree in a depth-first manner. Children are sorted based on their GAV property alphabetically (either ascending or descending, depending on the order parameter). Default order is ascending. If sort order is bfs, the nodes are returned by going through the application dependency tree in a breadth-first manner. Children are sorted based on their GAV property alphabetically (either ascending or descending, depending on the order parameter). Default order is ascending. Default order for gav is ascending where ascending corresponds to alphanumerical order. Default order for purl is ascending where ascending corresponds to alphabetical order Default order for nodeId is ascending where ascending corresponds to alphanumerical order. Sorting by DFS or BFS cannot be used in conjunction with the following query parameters: “gav”, “cvssV2GreaterThanOrEqual”, “cvssV3GreaterThanOrEqual” and “vulnerabilityId”.

    Accepted values are:

    bfs, dfs, gav, nodeId, purl

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

--vulnerability-id [text]

    A filter to return only Vulnerability Audits that match the specified id.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    vulnerability_audit_id=$(oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id --query data.id --raw-output)
    oci adm vulnerability-audit list-application-dependency-vulnerabilities --vulnerability-audit-id $vulnerability_audit_id

  update

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Updates one or more attributes of the specified Vulnerability Audit.

  Usage

oci adm vulnerability-audit update [OPTIONS]

  Required Parameters

--vulnerability-audit-id [text]

    Unique Vulnerability Audit identifier path parameter.

  Optional Parameters

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    The name of the vulnerability audit.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/knowledge-base/create.html#cmdoption-compartment-id
    knowledge_base_id=$(oci adm knowledge-base create --compartment-id $compartment_id --query data.id --raw-output)
    vulnerability_audit_id=$(oci adm vulnerability-audit create --knowledge-base-id $knowledge_base_id --query data.id --raw-output)
    oci adm vulnerability-audit update --vulnerability-audit-id $vulnerability_audit_id

  work-request

  Description

A description of workrequest status

  Available Commands

•   cancel

•   get

•   list

  cancel

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Cancel work request with the given ID.

  Usage

oci adm work-request cancel [OPTIONS]

  Required Parameters

--work-request-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the asynchronous request.

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export work_request_id=<substitute-value-of-work_request_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/work-request/cancel.html#cmdoption-work-request-id
    oci adm work-request cancel --work-request-id $work_request_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Gets the status of the work request with the given ID.

  Usage

oci adm work-request get [OPTIONS]

  Required Parameters

--work-request-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the asynchronous request.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export work_request_id=<substitute-value-of-work_request_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/work-request/get.html#cmdoption-work-request-id
    oci adm work-request get --work-request-id $work_request_id

  list

•   Description

•   Usage

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Lists the work requests in a compartment.

  Usage

oci adm work-request list [OPTIONS]

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    A filter to return only resources that belong to the specified compartment identifier. Required only if the id query param is not specified.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--resource-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the resource affected by the work request.

--sort-by [text]

    The field used to sort WorkRequests. Only one sort order is allowed. Default order for _timeAccepted_ is descending.

    Accepted values are:

    timeAccepted

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

--status [text]

    A filter to return only resources that match the specified OperationStatus.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, SUCCEEDED, WAITING

--work-request-id [text]

    The identifier of the asynchronous work request.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    oci adm work-request list

  work-request-error

  Description

An error encountered while executing a work request.

  Available Commands

•   list

  list

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Return a (paginated) list of errors for a given work request.

  Usage

oci adm work-request-error list [OPTIONS]

  Required Parameters

--work-request-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the asynchronous request.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort WorkRequests. Only one sort order is allowed. Default order for _timeAccepted_ is descending.

    Accepted values are:

    timeAccepted

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export work_request_id=<substitute-value-of-work_request_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/work-request-error/list.html#cmdoption-work-request-id
    oci adm work-request-error list --work-request-id $work_request_id

  work-request-log-entry

  Description

A log message from the execution of a work request.

  Available Commands

•   list-work-request-logs

  list-work-request-logs

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Return a (paginated) list of logs for a given work request.

  Usage

oci adm work-request-log-entry list-work-request-logs [OPTIONS]

  Required Parameters

--work-request-id [text]

    The Oracle Cloud Identifier (OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>) of the asynchronous request.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort WorkRequests. Only one sort order is allowed. Default order for _timeAccepted_ is descending.

    Accepted values are:

    timeAccepted

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export work_request_id=<substitute-value-of-work_request_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/adm/work-request-log-entry/list-work-request-logs.html#cmdoption-work-request-id
    oci adm work-request-log-entry list-work-request-logs --work-request-id $work_request_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle